/*
 *  Formula-Consts.h
 *  Version 1.3.5 / 970409
 *  by Satoshi Takahashi
 */


#ifndef FORMULA_CONSTS_H  /*pragma once*/
#define FORMULA_CONSTS_H

#include <Formula-Switches.h>

/****************************** Constants ********************************/

#define S_F_SYMBOL_MAX_INIT 100			/* initial maximum of symbol number */
#define S_F_FORMULA_MAX_INIT 300			/* initial maximum of formula number */


#define S_F_MAX_INPUT_LENGTH 1023	/* maximum of input length */
#define S_F_MAX_NAME_LENGTH 32	/* maximum of formula and symbol name length */

#define BaseType 0
#define BlockType 1

#define AddOp 0
#define SubOp 1
#define MulOp 10
#define DivOp 11

#define PlusSign AddOp
#define MinusSign SubOp

#define s_ReadFBErr -1

#endif /*pragma once*/