/*
 *  FuncList.h
 *  Version 2.0 / 010910
 *  by Satoshi Takahashi
 */

#ifndef FUNCLIST_H /*pragma once*/
#define FUNCLIST_H

#ifndef SCLLocal
#include <s_Config.h>
#else
#include "s_Config.h"
#endif

typedef void (voidStringFunc)(char*);

typedef struct FuncPair
{
	char* name;
	voidStringFunc *func;
} FuncPair;

typedef FuncPair FuncList[];

voidStringFunc *FindFunc(FuncList funcList, char *commandString);


#endif /*pragma once*/