/*
 *  S_CarbonMacro.h
 *  Version 2.0 / 010910
 *  by Satoshi Takahashi
 *
 */

#ifndef S_CARBONMACRO_H
#define S_CARBONMACRO_H

#ifndef SCLLocal
#include <s_Config.h>
#else
#include "s_Config.h"
#endif

#if S_CARBON
#define GetWindowBits(w) GetPortBitMapForCopyBits(GetWindowPort(w))
#else

#define GetQDGlobalsThePort() (thePort)

#define GetPortTextFont(p) ((p)->txFont)
#define GetPortTextFace(p) ((p)->txFace)
#define GetPortTextSize(p) ((p)->txSize)

/*#define GetPortBounds(port, rp) (&((*(rp)) = (port)->portRect))*/

#ifdef GetWindowPort
#undef GetWindowPort
#endif /*GetWindowPort is already defined in System 7.5*/
#define GetWindowPort(w) (w)
#define GetWindowBits(w) (&(w)->portBits)

#ifdef GetDialogWindow
#undef GetDialogWindow
#endif /*GetWindowPort is already defined in System 7.5*/
#define GetDialogWindow(d) (d)
#endif /*!S_CARBON*/

#endif /*pragma once*/
