/*
 *  s_Debug.h
 *  Version 2.0 / 010910
 *  by Satoshi Takahashi
 */

#ifndef S_DEBUG_H
#define S_DEBUG_H

#ifndef DEBUG_SCL
#define DEBUG_SCL 0
#endif

#if DEBUG_SCL

#ifndef SCLLocal
#include <StartSCL.h>
#else
#include "StartSCL.h"
#endif

#define dp1(a) (s_printf(a),fflush(stdout))
#define dp2(a,b) (s_printf(a,b),fflush(stdout))
#define dp3(a,b,c) (s_printf(a,b,c),fflush(stdout))
#define dp4(a,b,c,d) (s_printf(a,b,c,d),fflush(stdout))
#define dp5(a,b,c,d,e) ((s_printf(a,b,c,d,e),fflush(stdout))
#define dwf(a) DebugWriteFile(a)

#define Debug(x) x

#else /*DEBUG_SCL*/

#define dp1(a) (0)
#define dp2(a,b) (0)
#define dp3(a,b,c) (0)
#define dp4(a,b,c,d) (0)
#define dp5(a,b,c,d,e) (0)
#define dwf(a)

#define Debug(x) (0)

#endif /*else DEBUG_SCL*/


extern FILE *s_debugFile;

void DebugWriteFile(char *string);

#endif /*pragma once*/
