/*
 *  s_QDGlobal.h
 *  Version 2.0 / 010910
 *  by Satoshi Takahashi
 */


#ifndef S_QDGLOBAL_H /* pragma once */
#define S_QDGLOBAL_H

#ifndef SCLLocal
#include <s_Config.h>
#else
#include "s_Config.h"
#endif


#if defined(THINK_C) || S_UNIX
#define s_thePort	thePort
#define s_white		white
#define s_ltGray	ltGray
#define s_gray		gray
#define s_dkGray	dkGray
#define s_black		black
#define globalPort	thePort
#define QDGlobal(a) (a)
#if defined(THINK_C) && THINK_C >= 7
#define QDPattern(p) (&(p))
#else
#define QDPattern(p) (p)
#endif
#define QDPenPattern(p) ((p))
#endif

#if defined(SYMANTEC_C) || defined(__MWERKS__)
#define s_thePort	(qd.thePort)
#define s_white		(&qd.white)
#define s_ltGray	(&qd.ltGray)
#define s_gray		(&qd.gray)
#define s_dkGray	(&qd.dkGray)
#define s_black		(&qd.black)
typedef Pattern PPattern[1];
#define Pattern PPattern
#define globalPort	qd.thePort
#define QDGlobal(a) (qd.a)
#define QDPattern(p) ((p))
#define QDPenPattern(p) (&(p))
#endif


#if S_CARBON
#define s_thePort	GetQDGlobalsThePort()
#define s_white		GetQDGlobalsWhite(&s_CarbonQDPat)
#define s_ltGray	GetQDGlobalsLightGray(&s_CarbonQDPat)
#define s_gray		GetQDGlobalsGray(&s_CarbonQDPat)
#define s_dkGray	GetQDGlobalsDarkGray(&s_CarbonQDPat)
#define s_black		GetQDGlobalsBlack(&s_CarbonQDPat)
typedef Pattern PPattern[1];
#define Pattern PPattern
#define globalPort	GetQDGlobalsThePort()
/*#define QDGlobal(a) (qd.a)*/
#define QDPattern(p) ((p))
#define QDPenPattern(p) (&(p))
#endif /*S_CARBON*/

#endif /* pragma once */
