/*
 *  EPS.h
 *  project
 *
 *  Created by Satoshi Takahashi on Fri Nov 01 2002.
 *  Copyright (c) 2002 __MyCompanyName__. All rights reserved.
 *
 */

#ifndef EPS_H /*pragma once*/
#define EPS_H

#ifndef SCLLocal
#include <s_Config.h>
#else
#include "s_Config.h"
#endif

#include <VarHeader.h>
#include <EPS-v.c>

#define EPSSTEP 100

void BeginEPSSaving(void);
void BeginEPSSavingBox(short left, short bottom, short right, short top);
void EndEPSSaving(void);
void EPSBitMapSave(int bit, int color, double threshold);
void EPSGetImageRect(Rect *imageRectP);
void EPSBitMapProlog(int bit, int color, Rect *imageRectP, Rect *boundsRectP);
void EPSBitMapMain(int bit, int color, Rect *imageRectP, double threshold);
void EPSBitMapEpilog(int bit, int color);
void SetEPSFileName(const char *inFileName);
#endif /*ndef EPS_H*/