/*
 *  Graph2D-v.c
 *  Version 1.9 / 010207
 *  by Tomohiro Mizuno, Satoshi Takahashi, Yumiko Takahashi and Jiro Kikuchi
 */

/* Not pragma once */

#include <ParametersDialog.h>
#include <s_QDGlobal.h>

StructBegin(s_g2d)
	MemberArray(s_dfddType, f, G2D_MAX_FUNC_NUM, 0)
	Member(int, funcNum, 0)

	Member(double, dx, 0.1)
	Member(double, dy, 0.1)
	Member(double, df, 0.1)
	Member(double, fmax, 0)
	Member(double, fmin, 0)
	Member(double, fmaxBound, 1000)
	Member(double, fminBound, -1000)
	
	Member(int, maxArraySize, 1000)
	Member(int, arraySize, 0)
	
#if 1
 	Member(Pattern, pat, {{{0}}})
#endif
	MemberArray12(int, pnumber, G2D_MAX_FUNC_NUM, 23, 26) 
	Member(int, contourLabelFlag, 1)
	Member(int, paintNegativeFlag, 0)

	Member(int, frameWidth, 1)
	MemberString(char, defaultFont, 256, "Times")
	Member(int, fontSize, 24)

	MemberArray(int, selectPlotArray, G2D_MAX_FUNC_NUM, 1)
	
	Member(int, onlyZero, 0)
	
	Member(double, contourFreq, 5)
	Member(int, contourLabelDigit, 2)
	Member(int, contourLabelSize, 9)
	
	Member(int, extraCLMax, 100)
	Member(int, extraCLCount, 0)
	
	Member(int*, extraCLX, 0)
	Member(int*, extraCLY, 0)
	Member(double*, extraCLValue, 0)
StructEnd(s_g2d)
