/*
 *  s_Math.h
 *  Version 2.0 / 010910
 *  by Satoshi Takahashi
 */


#ifndef S_MATH_H /*pragma once*/
#define S_MATH_H
#ifndef SCLLocal
#include <s_Config.h>
#else
#include "s_Config.h"
#endif

#define Pi 3.14159265358979323846

#define sign(x) (((x) > 0) - ((x) < 0))

#define psqrt(x) (((x)>0) ? sqrt(x) : 0.0)

double Binomial(int a,int b);

void MultiplyMatrix(int n,double **a,double **b,double **c);

double MaxEigenValue2(double a,double b,double c,double d);

double SafeLog(double x);

int NotADouble(double x);

#endif /*pragma once*/
