/*
 *  s_UNIX.h
 *  Version 1.5.1 / 980129
 *  by Satoshi Takahashi
 */

#ifndef S_UNIX_H /*pragma once*/
#define S_UNIX_H
#include <s_Config.h>

/* Common(also in mac) */

void SetBackspace(void);


/* only for UNIX */

#if S_UNIX

#include <stdio.h>


/********** Variables **********/

#include <VarHeader.h>
#include <s_UNIX-v.c>

void UNIXStart(void);
void UNIXExit(void);

int CancelName(char* filename);


#if UNIXMAC
#define getcwd(a, b)
#define chdir(a) (0)
#endif

#endif /*S_UNIX*/
#endif /*pragma once*/
