/*
 *  s_define.c
 *  Version 2.0 / 010910
 *  by Satoshi Takahashi
 */

/*not pragma once*/
#ifndef SCLLocal
#include <s_Config.h>
#else
#include "s_Config.h"
#endif
/***** Redefine Standard Functions *****/
#ifndef printf
#define printf s_printf
#endif
#ifndef fprintf
#define fprintf	s_fprintf
#endif

/***** Other Functions *****/

#if REDEF_SRAND
#include <stdlib.h> /*solve the macro name conflict*/
#ifdef srand
#undef srand
#endif
#define srand	s_srand
#endif


#if !S_UNIX /******************** !!!! UNIX ********************/

#if (defined(__MWERKS__)&&(__MWERKS__ >= 0x1100)&&MODIFYLF) || DEBUG_MODIFYLF
#define sprintf					s_sprintfModifyLF
#endif

#define puts						s_puts

#define scanf 					s_scanf
#define fgets 					s_fgets

#ifdef getchar
#undef getchar
#endif
#define getchar					s_getchar

#ifdef fflush
#undef fflush
#endif
#define fflush					s_fflush

#ifndef NO_REDRAW

#define MoveTo					s_MoveTo
#define	Move						s_Move

#define GlobalToLocal		s_GlobalToLocal
#define ForeColor				s_ForeColor
#define BackColor				s_BackColor
#define HidePen					s_HidePen
#define ShowPen					s_ShowPen
#define SetPenState			s_SetPenState
#define PenSize					s_PenSize
#define PenMode					s_PenMode
#define PenPat					s_PenPat
#define PenNormal				s_PenNormal
#define TextFont				s_TextFont
#define TextFace				s_TextFace
#define TextMode				s_TextMode
#define TextSize				s_TextSize
#define SpaceExtra			s_SpaceExtra
#define FillArc					s_FillArc
#define	FillOval				s_FillOval
#define FillPoly				s_FillPoly
#define FillRect				s_FillRect
#define FillRgn					s_FillRgn
#define FillRoundRect		s_FillRoundRect
#define BackPat					s_BackPat

#define RGBForeColor		s_RGBForeColor
#define RGBBackColor		s_RGBBackColor
#define SetCPixel				s_SetCPixel
#define PenPixPat				s_PenPixPat
#define FillCArc				s_FillCArc
#define	FillCOval				s_FillCOval
#define FillCPoly				s_FillCPoly
#define FillCRect				s_FillCRect
#define FillCRgn				s_FillCRgn
#define FillCRoundRect	s_FillCRoundRect
#define OpenPicture			s_OpenPicture
#define ClosePicture		s_ClosePicture
#define OpenPoly				s_OpenPoly
#define ClosePoly				s_ClosePoly
#define OpenRgn					s_OpenRgn
#define CloseRgn				s_CloseRgn
#define DrawPicture			s_DrawPicture
#endif /* ndef_NO_REDRAW */

#endif /*!S_UNIX*/


/***** dprintf *****/

#define Dprintf 				s_Dprintf
#define dprintf 				s_Dprintf

/***** main *****/

#if OLD_C
#define main s_main
#endif /*OLD_C*/


